<?php
session_start(); 
  include_once("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
	   $id_cd=$sesion->id;


$qp31 = "select id_inv, fecha, realizo from invreg where id_cd=$id_cd and fecha<=now() order by fecha DESC ";
   $cp31 = mysqli_query($conexion, $qp31) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp31 = mysqli_fetch_object($cp31);	
	$id_inv = $rp31->id_inv; $fecha = $rp31->fecha; $realizo = $rp31->realizo;$fechai = $rp31->fechai;


echo "<center><font size=\"+2\"><b>Reporte de toma de inventario F&iacute;sico registro $id_inv</b></font><br> <br>
Fecha (A&ntilde;o-mes-dia Hora:min:seg)<b> $fecha </b><br> Realizado por: <b>$realizo</b><br><br>";

$qPP = "select id_prod, nombreProd, cants, cantf from inventario join productos on inventario.productos_id_prod=productos.id_prod join stock on stock.idprod=productos.id_prod  join invreg on invreg.id_inv=inventario.id_inv where invreg.id_inv=$id_inv and stock.idcd=$id_cd order by nombreProd";
	

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));
  
if(mysqli_affected_rows($conexion))
{
	

	
		
	while (($objetoPP=mysqli_fetch_object($rPP)) )
{
	$elid=$objetoPP->id_prod;
	$nombre[$elid]=$objetoPP->nombreProd; $ant[$elid]=$objetoPP->cantf;
	

		    
}
	
   
}




$qPP = "select id_prod, nombreProd, sum(cant) as eltot from pedido join productos on pedido.productos_idprod=productos.id_prod join transacciones on pedido.transacciones_idtransacciones=transacciones.idtransacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones where `usuarios_ci_idusuarios_ci`=$id_cd and `tipostr_idtipostr`=5 and status='ENTREGADO' and CONCAT(fechae, ' ', timee)>='$fecha' group by id_prod order by nombreProd";
	

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));
  
if(mysqli_affected_rows($conexion))
{
	echo "
				<center><font size=\"+1\"><b>Resumen de entradas por pedidos de stock</b></font>
	<br><table border=\"1\" align=\"center\"><tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">Id</font></th><th><font color=\"#FFFFFF\">Producto</font></th><th><font color=\"#FFFFFF\">Cantidad</font></th></tr>";
	
	while (($objetoPP=mysqli_fetch_object($rPP)) )
{
$idprodt=$objetoPP->id_prod; $totent=$objetoPP->eltot;
	echo "<tr bgcolor=\"#E0EFD6\">
			 <td>$objetoPP->id_prod</td><td align=\"center\">$objetoPP->nombreProd</td><td align=\"center\"> $objetoPP->eltot</td>";
             $prod[$idprodt]+=$totent;
			
     if($totent>=1){$entradas[$idprodt] =$totent;} else{$entradas[$idprodt] =0;}
	echo"
		  </tr> ";

		    
}
	
   
   
   echo"</table><br>";
   
   
   
   
}
$qPP = "select idtransacciones,  id_prod, nombreProd, sum(cant) as eltot from pedido join productos on pedido.productos_idprod=productos.id_prod join transacciones on pedido.transacciones_idtransacciones=transacciones.idtransacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones where centros_idcd=$id_cd and `tipostr_idtipostr`=5 and (status='ENTREGADO' or status='AUTORIZADO') and no_ficha >curdate() group by id_prod order by nombreProd";
	

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));
  
if(mysqli_affected_rows($conexion))
{
	echo "
				<center><font size=\"+1\"><b>Resumen de salidas por pedidos de stock</b></font>
	<br><table border=\"1\" align=\"center\"><tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">Id</font></th><th><font color=\"#FFFFFF\">Producto</font></th><th><font color=\"#FFFFFF\">Cantidad</font></th></tr>";
	
	while (($objetoPP=mysqli_fetch_object($rPP)) )
{$idprodt=$objetoPP->id_prod;

	echo "<tr bgcolor=\"#FFD9D9\">
			 <td>$objetoPP->id_prod $objetoPP->idtransacciones</td><td align=\"center\">$objetoPP->nombreProd</td><td align=\"center\"> $objetoPP->eltot</td>";
             
			$prod[$idprodt]-=$objetoPP->eltot;
       
	echo"
		  </tr> ";

		    
}
	
   
   
   echo"</table><br>";
   
   
   
   
}
/*
$q2 = "select sum(cant), nombreprod, id_prod from pedido join transacciones on (transacciones.idtransacciones=pedido.transacciones_idtransacciones) join productos on (productos.id_prod=pedido.productos_idprod) where 	transacciones.cdentrega='".$id_cd."' and usuarios_ci_idusuarios_ci=$id_cd and statusentrega='ENTREGADO' and fechae between \"$fechai\" and curdate() group by productos_idprod";
*/
$q2 = "select sum(cant), nombreprod, id_prod from pedido join transacciones on (transacciones.idtransacciones=pedido.transacciones_idtransacciones) join productos on (productos.id_prod=pedido.productos_idprod) where usuarios_ci_idusuarios_ci=$id_cd and cdentrega=$id_cd and statusentrega='ENTREGADO' and (tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=6 or tipostr_idtipostr=13) and CONCAT(fechae, ' ', timee)>='$fecha' group by productos_idprod order by nombreprod";

  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));
if(mysqli_affected_rows($conexion))
{
  echo"<font size=\"+1\"><b>Salidas por ventas de mi centro</b></font>
	<br><table border=\"1\" align=\"center\"><tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">Id</font></th><th><font color=\"#FFFFFF\">Producto</font></th><th><font color=\"#FFFFFF\">Cantidad</font></th></tr>";

  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)

   {

	   $a0 = $r1[0];

	   $a1 = $r1[1];

	   $a2 = $r1[2];

	
$prod[$a2]-=$a0;
	 if($a0>=1){$salidas[$a2]=$a0;} else{$salidas[$a2]=0;}
echo"<tr bgcolor=\"#FFD9D9\"><td>$a2</td><td>$a1</td><td align=\"center\">$a0</td></tr>";

	}

	echo"</table><br>";

}

$q21 = "select sum(cant), nombreprod, id_prod, usuarios_ci_idusuarios_ci from pedido join transacciones on (transacciones.idtransacciones=pedido.transacciones_idtransacciones) join productos on (productos.id_prod=pedido.productos_idprod) where usuarios_ci_idusuarios_ci!=$id_cd and cdentrega=$id_cd and (statusentrega='ENTREGADO' or statusentrega='EMPACADO') and (tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=6 or tipostr_idtipostr=13) and CONCAT(fechae, ' ', timee)>='$fecha' group by productos_idprod order by nombreprod";

  $c21 = mysqli_query($conexion, $q21) or die ('Error en la consulta' . mysqli_error($conexion));
if(mysqli_affected_rows($conexion))
{
  echo"<font size=\"+1\"><b>Salidas por ventas otros centros</b></font>
	<br><table border=\"1\" align=\"center\"><tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">CD</font></th><th><font color=\"#FFFFFF\">Id</font></th><th><font color=\"#FFFFFF\">Producto</font></th><th><font color=\"#FFFFFF\">Cantidad</font></th></tr>";

  for($i=0;$r11 = mysqli_fetch_row($c21);$i++)

   {

	   $a01 = $r11[0];

	   $a11 = $r11[1];

	   $a21 = $r11[2];
 $a31 = $r11[3];
	   $otroscd[$a21] =$a01;
$prod[$a21]-=$a01;
	 
echo"<tr bgcolor=\"#FFD9D9\"><td>$a31</td><td>$a21</td><td>$a11</td><td align=\"center\">$a01</td></tr>";

	}

	echo"</table><br>";

}

$qPP = "select idprod from stock join productos on stock.idprod=productos.id_prod where stock.idcd=$id_cd order by nombreProd";
	

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));
  
if(mysqli_affected_rows($conexion))
{
	
	
	
	echo "
			
	<table border=\"1\" align=\"center\"><tr><th><font>Id</font></th><th><font>Producto</font></th><th>Ant</th><th>Entradas</th><th>Salidas</th><th>Otros CD</th><th>Restante</th></tr>";
	
	while (($objetoPP=mysqli_fetch_object($rPP)) )
{
$idp=$objetoPP->idprod;$rest[$idp]=$ant[$idp]+$entradas[$idp]-$salidas[$idp]-$otroscd[$idp];
	echo "<tr >
			 <td>$objetoPP->idprod</td><td align=\"center\">$nombre[$idp]</td><td align=\"center\">$ant[$idp] </td><td align=\"center\">$entradas[$idp] </td><td align=\"center\">$salidas[$idp] </td><td align=\"center\">$otroscd[$idp] </td><td align=\"center\">$rest[$idp] </td>";
             
			
       
	echo"
		  </tr> ";

		    
}
	
   
   
   echo"</table><br>";
}


echo"<br><br>Revisa las notas generadas después de las fecha y hora que aparecen arriba, la suma debe de dar el total que aparece en la tabla<br>Si hay algun error favor de reportarlo antes de continuar<br><br>
<form name=\"pagar\" action=\"inventario_diario2.php\"  method=\"post\"><input type=\"submit\" value=\"Continuar y actualizar mis existencias
\" name=\"veragrupado\"></form>";






?>
